
/* com.marketcircle.MCPostgresDomain Errors */

"com.marketcircle.MCPostgresDomainErr100" = "Data path has not been specified on MCPGServer.";
"com.marketcircle.MCPostgresDomainErr101" = "Data path has not been initialized.";

"com.marketcircle.MCPostgresDomainErr200" = "Error checking for existing Postgres process.";

"com.marketcircle.MCPostgresDomainErr300" = "Error starting Postgres process.";
"com.marketcircle.MCPostgresDomainErr300-LD" = "http://www.marketcircle.com/kb/idx/91/663/article/";
"com.marketcircle.MCPostgresDomainErr300-LS" = "http://www.marketcircle.com/kb/idx/92/661/article/";
"com.marketcircle.MCPostgresDomainErr301" = "Error starting Postgres process - default configuration files have changed.";
"com.marketcircle.MCPostgresDomainErr301-LD" = "http://www.marketcircle.com/kb/idx/91/670/article/";
"com.marketcircle.MCPostgresDomainErr301-LS" = "http://www.marketcircle.com/kb/idx/92/671/article/";
"com.marketcircle.MCPostgresDomainErr302" = "Could not create folder %@ in %@.";
"com.marketcircle.MCPostgresDomainErr302-R" = "Using Disk Utility to repair permissions should fix the problem.";
"com.marketcircle.MCPostgresDomainErr303" = "Could not start Postgres process because %@ is not writable.";
"com.marketcircle.MCPostgresDomainErr303-R" = "Using Disk Utility to repair permissions should fix the problem.";

/* fsync related */
"com.marketcircle.MCPostgresDomainErr304" = "Could not set server state.";
"com.marketcircle.MCPostgresDomainErr304-C" = "Database environment could not be restarted to set the proper state.";
"com.marketcircle.MCPostgresDomainErr304-R" = "Quit the application and try again.";



"com.marketcircle.MCPostgresDomainErr400" = "Error stopping Postgres process.";

"com.marketcircle.MCPostgresDomainErr410" = "Error restarting Postgres process.";
"com.marketcircle.MCPostgresDomainErr410-LD" = "http://www.marketcircle.com/kb/idx/91/663/article/";
"com.marketcircle.MCPostgresDomainErr410-LS" = "http://www.marketcircle.com/kb/idx/92/661/article/";
"com.marketcircle.MCPostgresDomainErr411" = "Cannot restart Postgres process - Postgres is not running.";
"com.marketcircle.MCPostgresDomainErr411-R" = "Quit the application and try again.";


"com.marketcircle.MCPostgresDomainErr500" = "Error initializing the data path.";
"com.marketcircle.MCPostgresDomainErr501" = "Initialization command failed.";
"com.marketcircle.MCPostgresDomainErr501-R" = "Check the console for possible details.";
"com.marketcircle.MCPostgresDomainErr501-LD" = "http://www.marketcircle.com/kb/idx/91/672/article/";
"com.marketcircle.MCPostgresDomainErr501-LS" = "http://www.marketcircle.com/kb/idx/91/672/article/";
"com.marketcircle.MCPostgresDomainErr502" = "Could not write temporary file.";
"com.marketcircle.MCPostgresDomainErr502-LD" = "http://www.marketcircle.com/kb/idx/91/676/article/";
"com.marketcircle.MCPostgresDomainErr502-LS" = "http://www.marketcircle.com/kb/idx/92/677/article/";
"com.marketcircle.MCPostgresDomainErr503" = "Could not remove temporary file.";
"com.marketcircle.MCPostgresDomainErr503-LD" = "http://www.marketcircle.com/kb/idx/91/678/article/";
"com.marketcircle.MCPostgresDomainErr503-LS" = "http://www.marketcircle.com/kb/idx/92/679/article/";
"com.marketcircle.MCPostgresDomainErr504" = "Log files folder: %@ exists but is not a directory.";
"com.marketcircle.MCPostgresDomainErr504-R" = "Move the existing file aside so that the log folder can be created.";
"com.marketcircle.MCPostgresDomainErr504-LD" = "http://www.marketcircle.com/kb/idx/91/680/article/";
"com.marketcircle.MCPostgresDomainErr504-LS" = "http://www.marketcircle.com/kb/idx/92/681/article/";
"com.marketcircle.MCPostgresDomainErr505" = "Log files folder: %@ exists but is not writable.";
"com.marketcircle.MCPostgresDomainErr505-R" = "Move the existing folder aside so that the log folder can be created with the correct permissions.";
"com.marketcircle.MCPostgresDomainErr505-LD" = "http://www.marketcircle.com/kb/idx/91/682/article/";
"com.marketcircle.MCPostgresDomainErr505-LS" = "http://www.marketcircle.com/kb/idx/92/683/article/";
"com.marketcircle.MCPostgresDomainErr506" = "Error creating log files folder: %@.";
"com.marketcircle.MCPostgresDomainErr506-R" = "Ensure the enclosing folder has the correct permissions.";
"com.marketcircle.MCPostgresDomainErr506-LD" = "http://www.marketcircle.com/kb/idx/91/684/article/";
"com.marketcircle.MCPostgresDomainErr506-LS" = "http://www.marketcircle.com/kb/idx/92/685/article/";
"com.marketcircle.MCPostgresDomainErr507" = "Backup folder: %@ exists but is not a directory.";
"com.marketcircle.MCPostgresDomainErr507-R" = "Move the existing file aside so that the backup folder can be created.";
"com.marketcircle.MCPostgresDomainErr507-LD" = "http://www.marketcircle.com/kb/idx/91/689/article/";
"com.marketcircle.MCPostgresDomainErr507-LS" = "http://www.marketcircle.com/kb/idx/92/690/article/";
"com.marketcircle.MCPostgresDomainErr508" = "Backup folder: %@ exists but is not writable.";
"com.marketcircle.MCPostgresDomainErr508-R" = "Move the existing folder aside so that the backup folder can be created with the correct permissions.";
"com.marketcircle.MCPostgresDomainErr508-LD" = "http://www.marketcircle.com/kb/idx/91/691/article/";
"com.marketcircle.MCPostgresDomainErr508-LS" = "http://www.marketcircle.com/kb/idx/92/692/article/";
"com.marketcircle.MCPostgresDomainErr509" = "Error creating backup folder: %@.";
"com.marketcircle.MCPostgresDomainErr509-R" = "Ensure the enclosing folder has the correct permissions.";
"com.marketcircle.MCPostgresDomainErr509-LD" = "http://www.marketcircle.com/kb/idx/91/693/article/";
"com.marketcircle.MCPostgresDomainErr509-LS" = "http://www.marketcircle.com/kb/idx/92/694/article/";
"com.marketcircle.MCPostgresDomainErr510" = "Error creating admin database and users.";
"com.marketcircle.MCPostgresDomainErr511" = "Error writing configuration files.";
"com.marketcircle.MCPostgresDomainErr512" = "Error creating supporting files path.";
"com.marketcircle.MCPostgresDomainErr513" = "Error creating supporting files path, already exists but is not a directory.";
"com.marketcircle.MCPostgresDomainErr514" = "Error initializing data path because containing folder is not writable.";
"com.marketcircle.MCPostgresDomainErr515" = "Error configuring database security.";

"com.marketcircle.MCPostgresDomainErr600" = "Error starting bulk copy out process.";
"com.marketcircle.MCPostgresDomainErr601" = "Error starting bulk copy in process.";
"com.marketcircle.MCPostgresDomainErr602" = "Error while processing data to copy in.";
"com.marketcircle.MCPostgresDomainErr603" = "Error finishing copy in process.";
"com.marketcircle.MCPostgresDomainErr604" = "Error finishing copy out process.";

"com.marketcircle.MCPostgresDomainErr800" = "Error creating database named '%@'.";
"com.marketcircle.MCPostgresDomainErr801" = "The database name '%@' is invalid.";
"com.marketcircle.MCPostgresDomainErr802" = "The database named '%@' already exists.";
"com.marketcircle.MCPostgresDomainErr802-LD" = "http://www.marketcircle.com/kb/idx/91/697/article/";
"com.marketcircle.MCPostgresDomainErr802-LS" = "http://www.marketcircle.com/kb/idx/92/698/article/";
"com.marketcircle.MCPostgresDomainErr803" = "Creation command for database named '%@' failed.";
"com.marketcircle.MCPostgresDomainErr803-LD" = "http://www.marketcircle.com/kb/idx/91/699/article/";
"com.marketcircle.MCPostgresDomainErr803-LS" = "http://www.marketcircle.com/kb/idx/92/700/article/";
"com.marketcircle.MCPostgresDomainErr804" = "Creating database structure failed for database named '%@'.";
"com.marketcircle.MCPostgresDomainErr804-LD" = "http://www.marketcircle.com/kb/idx/91/701/article/";
"com.marketcircle.MCPostgresDomainErr804-LS" = "http://www.marketcircle.com/kb/idx/92/702/article/";

/* Backup/Restore related */
"com.marketcircle.MCPostgresBackupRestoreDomainErr1" = "Output error when creating the backup.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr1-R" = "Make sure there is enough disk space available to create the backup. Check backup log for indications of problems.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr2" = "Error while reading the backup file.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr2-R" = "Make sure there is enough disk space available to create the backup. Check backup log for indications of problems.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr5" = "Backup file verification failed.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr5-R" = "Try performing the backup again.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr5-LD" = "http://www.marketcircle.com/kb/idx/91/727/article/";
"com.marketcircle.MCPostgresBackupRestoreDomainErr5-LS" = "http://www.marketcircle.com/kb/idx/92/728/article/";
"com.marketcircle.MCPostgresBackupRestoreDomainErr6" = "Error while restoring database from the backup.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr6-R" = "Rename any existing database for this backup and try to restore the backup again.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr8" = "Error while creating database to restore backup.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr8-R" = "Restart the computer and try again.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr9" = "The backup file could not be created.";
"com.marketcircle.MCPostgresBackupRestoreDomainErr9-R" = "Ensure the chosen backup folder path is correct and is writable.";

"com.marketcircle.MCPostgresDomainErr700" = "Underlying error detected.";
"com.marketcircle.MCPostgresDomainErr700-R" = "Refer to the Additional Details.";
"com.marketcircle.MCPostgresDomainErr701" = "The path '%@' does not exist or is not a directory.";
"com.marketcircle.MCPostgresDomainErr701-R" = "Make sure you select the correct path and that it exists on the filesystem and is a directory.";
"com.marketcircle.MCPostgresDomainErr702" = "The path %@ exists but is not writable.";
"com.marketcircle.MCPostgresDomainErr702-R" = "Make sure you have write permission to this path.";
"com.marketcircle.MCPostgresDomainErr702-LD" = "http://www.marketcircle.com/kb/idx/91/703/article/";
"com.marketcircle.MCPostgresDomainErr702-LS" = "help:anchor=DayliteServerHelpEnsuringProperPermissionsForTheBackupFolder bookID='Daylite Server Help'";
"com.marketcircle.MCPostgresDomainErr703" = "Could not create the backup file at '%@'.";
"com.marketcircle.MCPostgresDomainErr703-LD" = "http://www.marketcircle.com/kb/idx/91/705/article/";
"com.marketcircle.MCPostgresDomainErr703-LS" = "http://www.marketcircle.com/kb/idx/92/706/article/";
"com.marketcircle.MCPostgresDomainErr704" = "Cannot connect to database %@ to perform query for backup information.";
"com.marketcircle.MCPostgresDomainErr704-LD" = "http://www.marketcircle.com/kb/idx/91/707/article/";
"com.marketcircle.MCPostgresDomainErr704-LS" = "http://www.marketcircle.com/kb/idx/92/708/article/";
"com.marketcircle.MCPostgresDomainErr705" = "Error fetching database UUID for backup dictionary.";
"com.marketcircle.MCPostgresDomainErr705-LD" = "http://www.marketcircle.com/kb/idx/91/710/article/";
"com.marketcircle.MCPostgresDomainErr705-LS" = "http://www.marketcircle.com/kb/idx/92/711/article/";
"com.marketcircle.MCPostgresDomainErr706" = "Error backing up the existing database before performing the restore.";
"com.marketcircle.MCPostgresDomainErr707" = "Error deleting the existing database before performing the restore.";

/* Schema update related */
"com.marketcircle.MCPGDatabaseUpdaterDomainErr100" = "Could not fetch current schema number from database.";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr200" = "Failed to apply SQL update for schema %@.";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr200-C" = "Command was: %@\nException: %@";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr300" = "Failed to apply OjbC update for schema %@.";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr300-C" = "Command was: %@\nException: %@";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr400" = "Failed to load/parse schema file %@";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr1000" = "Unknown update type %@";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr1000-C" = "Command for unknown update type: %@";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr2000" = "Failed when beginning transaction for schema %@.";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr2000-C" = "Exception: %@";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr3000" = "Failed when committing transaction for schema %@.";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr3000-C" = "Exception: %@";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr4000" = "Failed when rolling back transaction for schema %@.";
"com.marketcircle.MCPGDatabaseUpdaterDomainErr4000-C" = "Exception: %@";


"com.marketcircle.MCPostgresDomainErr1000" = "Trying to use an empty record.";
"com.marketcircle.MCPostgresDomainErr1001" = "Missing value for primary key when trying to delete record.";


//// Database Dictionary Strings/Formats
"DatabaseUsersStringFormat" = "%@ active (%@ total)";


//// License Errors
"LicenseErrorCode1" = "The license code provided is invalid.";
"LicenseErrorCode2" = "The license code provided has expired.";
"LicenseErrorCode3" = "The license code provided is not valid for this product.";
"LicenseErrorCode4" = "The license code provided is not valid for this product version.";
"LicenseErrorCode5" = "The license code provided is an upgrade license and requires a valid license for a qualifying previous version.";
"LicenseErrorCode6" = "The license code provided is already in use.";
"LicenseErrorCode7" = "The license code provided is stolen - shame on you, you are bad, very very bad.";
